<?php
namespace Modules\Additional\Specifique\Client95;

use Skeleton\Module;
use Psr\Container\ContainerInterface;
use Skeleton\Renderer\RendererInterface;
use Helpers\Parametres\Parametres;
use Skeleton\Router;
use Modules\Additional\Specifique\Client95\Modules\EtatStatistique\Controller\EtatStatistiqueController;

class Specifique95Module extends Module
{

    const DEFINITIONS = __DIR__ . '/config.php';

    // private $router, $container
    public function __construct(ContainerInterface $container)
    {
        $container->get(RendererInterface::class)->addPath('specifique95', __DIR__.'/Modules/EtatStatistique/view');
        
        $parametres     = new Parametres();
        $global         = $parametres->expression_global;
        
        $router = $container->get(Router::class);

        $base_url = $container->get('baseUrl') . $container->get('Specifique95.prefix');
        
        $router->get($base_url. '/etatStatistique/suiviBudgetaire[/{action:' . $global . '+}]', EtatStatistiqueController::class, 'Specifique95.EtatStatistique.suiviBudgetaire');
        $router->get($base_url. '/etatStatistique/analyseFacture[/{action:' . $global . '+}]', EtatStatistiqueController::class, 'Specifique95.EtatStatistique.analyseFacture');
        $router->get($base_url. '/etatStatistique/analyseEngage[/{action:' . $global . '+}]', EtatStatistiqueController::class, 'Specifique95.EtatStatistique.analyseEngage');
        $router->get($base_url. '/etatStatistique/analyseEngageFacture[/{action:' . $global . '+}]', EtatStatistiqueController::class, 'Specifique95.EtatStatistique.analyseEngageFacture');
        $router->get($base_url. '/etatStatistique/engageParCategorieDepense[/{action:' . $global . '+}]', EtatStatistiqueController::class, 'Specifique95.EtatStatistique.engageParCategorieDepense');
        
        // listes de centres et comptes pour les inputs zoom
        $router->get($base_url. '/etatStatistique/liste/{type:' . $global . '+}', EtatStatistiqueController::class, 'Specifique95.EtatStatistique.liste');
    }
}
